### Function

# FwupdPlugin EfiHardDriveDevicePath partition_format_to_string

#### Declaration [src]

    const gchar*
    fu_efi_hard_drive_device_path_partition_format_to_string (
      FuEfiHardDriveDevicePathPartitionFormat val
    )

#### Description [src]

Converts an enumerated value to a string.

#### Parameters

`val`

  Type: `FuEfiHardDriveDevicePathPartitionFormat`

  Value, e.g. `FU_EFI_HARD_DRIVE_DEVICE_PATH_PARTITION_FORMAT_GUID_PARTITION_TABLE`.

#### Return value

Type: `const gchar*`

Identifier string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.